"""Some utility functions for meta-learning dataset loaders."""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../../nbs/90_datasets/meta_datasetloaders_utils.ipynb.

# %% auto 0
__all__ = ['getdatasetloader']

# %% ../../nbs/90_datasets/meta_datasetloaders_utils.ipynb 3
import logging
logging.basicConfig(level=logging.INFO)

import numpy as np
import os
import pandas as pd

# %% ../../nbs/90_datasets/meta_datasetloaders_utils.ipynb 4
def getdatasetloader(dataset):

    if dataset == "kaggle_m5":
        from ddopai.datasets.kaggle_m5 import KaggleM5DatasetLoader
        return KaggleM5DatasetLoader
    elif dataset == "bakery":
        from ddopai.datasets.bakery import BakeryDatasetLoader
        return BakeryDatasetLoader
    else:
        raise ValueError("Dataset not supported")
